CADVISOR(1)

NAME
cAdvisor - analyze resource usage and performance characteristics of running containers

DESCRIPTION

  Usage of ./cadvisor:

-allow_dynamic_housekeeping=true: Whether to allow the housekeeping interval to be dynamic

-alsologtostderr=false: log to standard error as well as files

-boot_id_file="/proc/sys/kernel/random/boot_id": Comma-separated list of files to check for boot-id. Use the first one that exists.

-bq_account="": Service account email

-bq_credentials_file="": Credential Key file (pem)

-bq_id="": Client ID

-bq_project_id="": Bigquery project ID

-bq_secret="notasecret": Client Secret

-container_hints="/etc/cadvisor/container_hints.json": location of the container hints file

-docker="unix:///var/run/docker.sock": docker endpoint

-docker_only=false: Only report docker containers in addition to root stats

-docker_root="/var/lib/docker": Absolute path to the Docker state root directory (default: /var/lib/docker)

-docker_run="/var/run/docker": Absolute path to the Docker run directory (default: /var/run/docker)

-enable_load_reader=false: Whether to enable cpu load reader

-event_storage_age_limit="default=24h": Max length of time for which to store events (per type). Value is a comma separated list of key values, where the keys are event types (e.g.: creation, oom) or "default" and the value is a duration. Default is applied to all non-specified event types

-event_storage_event_limit="default=100000": Max number of events to store (per type). Value is a comma separated list of key values, where the keys are event types (e.g.: creation, oom) or "default" and the value is an integer. Default is applied to all non-specified event types

-global_housekeeping_interval=1m0s: Interval between global housekeepings

-housekeeping_interval=1s: Interval between container housekeepings

-http_auth_file="": HTTP auth file for the web UI

-http_auth_realm="localhost": HTTP auth realm for the web UI

-http_digest_file="": HTTP digest file for the web UI

-http_digest_realm="localhost": HTTP digest file for the web UI

-httptest.serve="": if non-empty, httptest.NewServer serves on this address and blocks

-listen_ip="": IP to listen on, defaults to all IPs

-log_backtrace_at=:0: when logging hits line file:N, emit a stack trace

-log_cadvisor_usage=false: Whether to log the usage of the cAdvisor container

-log_dir="": If non-empty, write log files in this directory

-logtostderr=false: log to standard error instead of files

-machine_id_file="/etc/machine-id,/var/lib/dbus/machine-id": Comma-separated list of files to check for machine-id. Use the first one that exists.

-max_housekeeping_interval=1m0s: Largest interval to allow between container housekeepings

-max_procs=0: max number of CPUs that can be used simultaneously. Less than 1 for default (number of cores).

-port=8080: port to listen

-prometheus_endpoint="/metrics": Endpoint to expose Prometheus metrics on

-stderrthreshold=0: logs at or above this threshold go to stderr

-storage_driver="": storage driver to use. Data is always cached shortly in memory, this controls where data is pushed besides the local cache. Empty means none. Options are: <empty> (default), bigquery, and influxdb

-storage_driver_buffer_duration=1m0s: Writes in the storage driver will be buffered for this duration, and committed to the non memory backends as a single transaction

-storage_driver_db="cadvisor": database name

-storage_driver_host="localhost:8086": database host:port

-storage_driver_password="root": database password

-storage_driver_secure=false: use secure connection with database

-storage_driver_table="stats": table name

-storage_driver_user="root": database username

-storage_duration=2m0s: How long to keep data stored (Default: 2min).

-v=0: log level for V logs

-version=false: print cAdvisor version and exit

-vmodule=: comma-separated list of pattern=N settings for file-filtered logging